services:
    _defaults:
        autoconfigure: true
        autowire: true

    ## Indicators
    Chill\PersonBundle\Export\Export\CountHouseholdInPeriod:
        tags:
            - { name: chill.export, alias: count_household }

    Chill\PersonBundle\Export\Export\ListHouseholdInPeriod:
        tags:
            - { name: chill.export, alias: list_household_in_period }

    ## Filters
    chill.person.export.filter_household_composition:
        class: Chill\PersonBundle\Export\Filter\HouseholdFilters\CompositionFilter
        tags:
            - { name: chill.export_filter, alias: household_composition_filter }

    ## Aggregators
    chill.person.export.aggregator_household_composition:
        class: Chill\PersonBundle\Export\Aggregator\HouseholdAggregators\CompositionAggregator
        tags:
            - { name: chill.export_aggregator, alias: household_composition_aggregator }

    chill.person.export.aggregator_household_childrennumber:
        class: Chill\PersonBundle\Export\Aggregator\HouseholdAggregators\ChildrenNumberAggregator
        tags:
            - { name: chill.export_aggregator, alias: household_childrennumber_aggregator }
